For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PlaygroundChangelogSign In
OverviewAPI ReferencePre-recorded STTStreaming STTVoice AgentsSpeech UnderstandingGuardrailsLLM GatewayFAQ
OverviewAPI ReferencePre-recorded STTStreaming STTVoice AgentsSpeech UnderstandingGuardrailsLLM GatewayFAQ
  • API Reference
    • Overview
      • POSTTranscribe audio
      • GETGet transcript
      • GETGet sentences in transcript
      • GETGet paragraphs in transcript
      • GETGet subtitles for transcript
      • GETGet redacted audio
      • GETSearch words in transcript
      • GETList transcripts
      • DELDelete transcript
LogoLogo
PlaygroundChangelogSign In
API ReferenceTranscripts

Get subtitles for transcript

GET
https://api.assemblyai.com/v2/transcript/:transcript_id/:subtitle_format
GET
/v2/transcript/:transcript_id/:subtitle_format
$curl https://api.assemblyai.com/v2/transcript/transcript_id/srt \
> -H "Authorization: <apiKey>"
1"1\n00:00:13,160 --> 00:00:16,694\nLast year I showed these two slides that demonstrate that the Arctic\n\n2\n00:00:16,734 --> 00:00:20,214\nice cap, which for most of the last 3 million years has been the size\n\n3\n00:00:20,254 --> 00:00:23,274\nof the lower 48 states, has shrunk by 40%.\n"
<llms-only> > For the complete documentation index, see [llms.txt](https://www.assemblyai.com/docs/llms.txt) </llms-only> <Note>To retrieve your transcriptions on our EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note> Export your transcript in SRT or VTT format to use with a video player for subtitles and closed captions.
Was this page helpful?
Previous

Get redacted audio

Next
Built with

To retrieve your transcriptions on our EU server, replace api.assemblyai.com with api.eu.assemblyai.com.
Export your transcript in SRT or VTT format to use with a video player for subtitles and closed captions.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

transcript_idstringRequired
ID of the transcript
subtitle_formatenumRequired
The format of the captions
Allowed values:

Query parameters

chars_per_captionintegerOptional
The maximum number of characters per caption

Response

The exported captions as text

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error
504
Gateway Timeout Error